# These settings are adapted to the Slint distribution.
[sound]
# Turn sound on or off:
enabled=True

# Select the driver used to play sounds, choices are genericDriver and gstreamerDriver.
# Sox is the default.
#driver=gstreamerDriver
driver=genericDriver

# Sound themes. These are the pack of sounds used for sound alerts.
# Sound packs may be located at /usr/share/sounds
# For system wide availability, or ~/.local/share/fenrirscreenreader/sounds
# For the current user.
theme=default

# Sound volume controls how loud the sounds for your selected soundpack are.
# 0 is quietest, 1.0 is loudest.
volume=1.0

[speech]
# Turn speech on or off:
enabled=True

# Select speech driver, options are speechdDriver (default), genericDriver or espeakDriver:
driver=speechdDriver

# The rate selects how fast Fenrir will speak. Options range from 0, slowest, to 1.0, fastest.
rate=0.5

# Pitch controls the pitch of the voice, select from 0, lowest, to 1.0, highest.
pitch=0.5

# Pitch for capital letters
capitalPitch=0.9

# Volume controls the loudness of the voice, select from 0, quietest, to 1.0, loudest.
volume=1.0

# The module sets here selects the synthesizer to use by speech-dispatcher.
# If not set in this file, the one set in /etc/speech-dispatcher/speechd.conf
# will be used.
# The command "spd-list -s" (without the quotes) lists the available ones.
# To be able to switch languages on the fly, set below a module that
# supports all languges between which you want to be able to switch
# run "spd-list" (without the quotes) to make this choice.
# module=espeak-ng

# Voice selects the voice you want to use. This setting won't hold if
# you switch languages on the fly (see below) or also set the language.
# To find out which voices are available, for a given module, type:
# spd-say -o <module> -L
# For instance:
# spd-say -o rhvoice -L
# If you use the module espeak-ng, you can also run espeak-ng-list-voices
# Example using the pico module:
# voice=virginie


# Languages lists the languages among which to switch pressing:
# Compose+l
# The Compose key is the one between AltrGr and Ctrl on the right of the
# space bar.
# For the module in use, the languages available can be listed typing
# spd-list -ls module
# For instance type "spd-list -ls espeak-ng-mbrola-generic"
# Be careful: all languages listed should be provdied by the module
# in use, else switching languages on the fly won't be possible.
# Example using the pico module:
# languages=en-GB fr-FR es-ES it-IT

# You can also set the language to use by default, which doesn't need to
# be listed among the ones you might want to switch (but then you will
# need to restart fenrir to get it back). It will supersede the voice
# that you might have also set. Example using the pico module:
# language=de-DE

# Read new text as it happens?
autoReadIncoming=True

[screen]
driver=vcsaDriver
encoding=auto
screenUpdateDelay=0.05
suspendingScreen=7
autodetectSuspendingScreen=False

[keyboard]
driver=evdevDriver
# filter input devices NOMICE, ALL or a DEVICE NAME
device=ALL
# gives Fenrir exclusive access to the keyboard and lets it control keystrokes.
grabDevices=True
ignoreShortcuts=False
# the current shortcut layout located in /etc/fenrirscreenreader/keyboard
keyboardLayout=desktop
# echo chars while typing.
charEcho=True
# echo deleted chars
charDeleteEcho=True
# echo word after pressing space
wordEcho=False
# interrupt speech on any keypress
interruptOnKeyPress=True
# you can filter the keys on that the speech should interrupt (empty = all keys, otherwhise the given keys)
interruptOnKeyPressFilter=
# timeout for double tap in sec
doubleTapTimeout=0.2

[general]
debugLevel=0
# debugMode sets where the debug output should send to:
# debugMode=File writes to debugFile (Default: /var/log/fenrirscreenreader/fenrir.log)
# debugMode=Print just prints on the screen
debugMode=File
debugFile=/var/log/fenrir.log
punctuationProfile=default
punctuationLevel=some
respectPunctuationPause=True
newLinePause=True
numberOfClipboards=10
# used path for "export_clipboard_to_file"
# $user is replaced by username
#clipboardExportPath=/home/$user/fenrirClipboard
clipboardExportPath=/tmp/fenrirClipboard
emoticons=True
# define the current Fenrir key
fenrirKeys=KEY_KP0,KEY_META,KEY_INSERT
scriptKeys=KEY_COMPOSE
timeFormat=%H:%M:%P
dateFormat=%A, %B %d, %Y
autoSpellCheck=True
spellCheckLanguage=en_US
# path for your scripts "scriptKeys" functionality
scriptPath=/usr/share/fenrirscreenreader/scripts
# overload commands, and create new one without changing Fenrir default
commandPath=
#fenrirBGColor = the backgroundcolor
#fenrirFGColor = the foregroundcolor
#fenrirUnderline = speak the underline attribute
#fenrirBold = speak the bold attribute
#fenrirBlink = speak the blink attribute
#fenrirFont = the font
#fenrirFontSize = the fontsize
attributeFormatString=Background fenrirBGColor,Foreground fenrirFGColor,fenrirUnderline,fenrirBold,fenrirBlink, Font fenrirFont,Fontsize fenrirFontSize
autoPresentIndent=False
# play a sound when attributes are changeing
hasAttributes=True
# shell for PTY emulatiun (empty = default shell)
shell=

[focus]
#follow the text cursor
cursor=True
#follow highlighted text changes
highlight=False

[remote]
enable=True
# driver
# unixDriver = unix sockets
# tcpDriver = tcp (localhost only)
driver=unixDriver
# tcp port
port=22447
# socket filepath
socketpath=/tmp/
# allow settings to overwrite
enableSettingsRemote=True
# allow commands to be executed
enableCommandRemote=True

[barrier]
enabled=True
leftBarriers=│└┌─
rightBarriers=│┘┐─

[review]
lineBreak=True
endOfScreen=True
# leave the review when pressing a key
leaveReviewOnCursorChange=True
# leave the review when changing the screen
leaveReviewOnScreenChange=True

[promote]
enabled=True
inactiveTimeoutSec=120
list=

[menu]
vmenuPath=
quickMenu=speech#rate;speech#pitch;speech#volume

[time]
# automatic time anouncement
enabled=False
# present time
presentTime=True
# present date (on change)
presentDate=True
# present time after a given period of seconds
delaySec=0
# present time after to given minutes example every 15 minutes: 00,15,30,45
# if delaySec is >0 onMinutes is ignored
onMinutes=00,30
# announce via soundicon (not interrupting)
announce=True
# interrupt current speech for time announcement
interrupt=False
